Results 1 to 20 of 20
  1. #1
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default netbeans6.0 and spring plug-in

    hi frnds,

    i installed netbeans6.0.. there is a checkbox to enable a struts application but there is no such thing for a spring application..

    Can i work on spring using netbeans6.0 ide???????

    one of my frnd told that a spring plugin is needed.. don know wat it is.. can any one help me out.....

    Regards
    freddie

  2. #2
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

    Default

    Go to Tools -> Plugins on you IDE. You can find lots of details relevant to plugins you need in Java developments. Select the required plugin from the available list.
    Last edited by Eranga; 05-23-2008 at 06:16 AM.

  3. #3
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default Plugin not there in the available list

    Quote Originally Posted by Eranga View Post
    Go to Tools -> Plugins on you IDE. You can find lots of details relevant to plugins you need in Java developments. Select the required plugin from the available list.
    Hi Eranga,

    What if the require plugin is not dere in the available list.
    I tried downloading a spring plugin in which i had cofig,netbeans,lib folders..

    Quote Originally Posted by Eranga View Post
    Go to Tools -> Plugins on you IDE. You can find lots of details relevant to plugins you need in Java developments.
    Since plugin not dere i tried add plugin button.. from dere i got stuck!! donno how to add plugin.. kindly help

    regards
    Last edited by freddieMaize; 05-23-2008 at 07:33 AM.

  4. #4
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

    Default

    You need to download Spring Framework Support.

    Are you use IDE 6.0 or 6.0.1? It should be display in Available Plugins list on 6.0.1 and it should in 6.0 too.

    You connected to the web right?

  5. #5
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default Thanks.. job done

    oops.. very sorry Eranga :o

    I din notice it.. lik you said it was diabled.. Now that i have checked and installed it, my ide supports spring..

    thanks a lot...:D

    Regards

  6. #6
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default classes12.jar-1 file

    by the way, Eranga, any idea where i can find classes12.jar-1 file.. i was able to download calsses12.jar from oracle site but the former is not available.. can u help me???????

    Regards

  7. #7
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

  8. #8
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default

    exactly yes.......... any idea where i can find it....??

  9. #9
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

  10. #10
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default

    am unlucky Eranga.. tried google.. its not in the oracle site also.. fully searched.. fine if u get to know abt it plz do let me know..

    if i find i'd post it..
    thank you
    Regards

  11. #11
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

    Default

    Ok, but what is the purpose of it. I mean even you can't find on oracle site, then I think it's too old version.

    For what you looking it?

  12. #12
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default

    hmm..
    i had a application which i build some months back..
    now i tried opening the same application in another system.
    After installing netbeans and spring plugin and opening my existing project, i showed "Resolve Reference Problem" within which it said "classes12.jar file/folder could not found"..
    it showed the same for classes12.jar-1..
    Well i resloved the former but the later jar, am yet to get..
    Hmm.. this is my prob Eranga

  13. #13
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

    Default

    You are talking about two systems. That means different OS? I guess so, because that is the only chance to cause this.

  14. #14
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default

    oh.. no no..
    I built the application some time ago..
    I saved it in my pen drive..
    Now i downloaded that project and opened it..
    Doing so, i had error (red) mark over my project name..
    also got a alert saying "Resolve Reference Problem"..
    Netbeans itself would resolve the problem if i provide it with wat it asks..
    Now it is asking for 2 jar files.. one i got and the other one is the culprit(missing)..

  15. #15
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

  16. #16
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default

    yup.. thanks.. ll somehow do it.. having confidence..

  17. #17
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

  18. #18
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default

    yup thanks frnd.. ll get back soon

  19. #19
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default tomcat6.0 problem

    Hi Eranga,

    All i could do to run dat applicaiton was to reinstall a new copy of netbeans.. good thing is.. its running:)

    however this netbeans is having GlassfishV2 as its app.server(no tomcat)..
    So i installed tomcat 6.0 from the apache site.. doing so, i added this tomcat to the netbeans.. while starting the server it said "need catalina.bat startup script" and "setclasspath.bat startup script ":confused:

    i created the two batch files but donno wats that startup script..

    Eranga, u tak on that..........
    (have a great day frnd)
    Regards
    Freddie

  20. #20
    Join Date
    Apr 2008
    Posts
    64
    Rep Power
    0

    Default

    i was asked to use tomcat instead of glassfishV2 bcoz, the later makes the whole thing gets slow.. make netbeans more heavy.........!
    Last edited by freddieMaize; 05-24-2008 at 01:13 PM.

Similar Threads

  1. apple plug-in
    By willemjav in forum Java Applets
    Replies: 7
    Last Post: 05-04-2008, 01:07 PM
  2. SFTP Plug-in for Eclipse 0.0.3
    By JavaBean in forum Java Software
    Replies: 0
    Last Post: 07-03-2007, 08:04 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •